package model

import (
	"time"

	"gorm.io/plugin/soft_delete"
)

type RegisterRecord struct {
	ID              int32     `gorm:"column:id;type:int(11);primary_key;AUTO_INCREMENT" json:"id"`
	UUID            string    `json:"uuid" gorm:"primaryKey;column:uuid;type:varchar(255);comment:报名记录Uid"`
	ArtistName      string    `json:"artist_name" gorm:"column:artist_name;type:varchar(255);comment:画家姓名"`
	Gender          int32     `json:"gender" gorm:"column:gender;type:int;comment:性别1男2女"`
	PhoneNum        string    `json:"phone_num" gorm:"column:phone_num;type:varchar(255);not null;comment:手机号"`
	IdCard          string    `json:"id_card" gorm:"column:id_card;type:varchar(255);comment:身份证号"`
	Address         string    `json:"address" gorm:"column:address;type:varchar(3000);comment:通讯地址"`
	Address1        string    `json:"address1" gorm:"column:address1;type:varchar(1000);comment:详细地址"`
	IdCardPhoto     string    `json:"id_card_photo" gorm:"column:id_card_photo;type:varchar(1000);comment:身份证照片"`
	IdCardBackPhoto string    `json:"id_card_back_photo" gorm:"column:id_card_back_photo;type:varchar(1000);comment:身份证照片背面"`
	ArtistPhoto     string    `json:"artist_photo" gorm:"column:artist_photo;type:varchar(1000);comment:画家本人近照"`
	ArtworkFile     string    `json:"artwork_file" gorm:"column:artwork_file;type:varchar(1000);comment:作品文件"`
	ArtworkName     string    `json:"artwork_name" gorm:"column:artwork_name;type:varchar(255);comment:作品名称"`
	CreatedAt       time.Time `gorm:"column:created_at;autoCreateTime"`
	UpdatedAt       time.Time `gorm:"column:updated_at;autoCreateTime"`
	DeletedAt       soft_delete.DeletedAt
}
